<?php

namespace EventPortal\AuthPassword\Rules;

class MinimumLength implements NovoRule
{
    protected $minLength;

    public function __construct(int $minLength = 8)
    {
        $this->minLength = $minLength;
    }

    // phpcs:disable Generic.CodeAnalysis.UnusedFunctionParameter
    // phpcs:disable SlevomatCodingStandard.TypeHints.ParameterTypeHint
    public function passes($attribute, $value): bool
    {
        return strlen($value) >= $this->minLength;
    }

    // phpcs:enable
    public function message(): string
    {
        return "Your password must be at least {$this->minLength} characters long";
    }

    public function frontEndLabel(): string
    {
        return "Minimum {$this->minLength} characters";
    }

    public function frontEndValidation(): array
    {
        return [
            "min:{$this->minLength}",
        ];
    }
}
