<?php

namespace EventPortal\AuthPassword\Tests;

use EventPortal\AuthPassword\Providers\AuthPasswordServiceProvider;

class TestCase extends \Orchestra\Testbench\TestCase
{
    protected function setUp(): void
    {
        parent::setUp();
        $this->setUpDatabase();
    }

    protected function getEnvironmentSetUp($app)
    {
        $app['config']->set('auth.providers.users.model', User::class);
    }

    protected function setUpDatabase()
    {
        include_once __DIR__.'/../database/migrations/2020_05_12_111100_add_auth_fields_to_users_table.php';
        (new \AddAuthFieldsToUsersTable)->up();
    }

    protected function getPackageProviders($app)
    {
        return [AuthPasswordServiceProvider::class];
    }
}
