<?php

namespace EventPortal\AuthPassword\Tests\Unit;

use EventPortal\AuthPassword\Rules;
use EventPortal\AuthPassword\Tests\TestCase;

class RulesTest extends TestCase
{
    /** @test **/
    public function get_rules_for_password()
    {
        $rules = Rules::forPassword();

        $this->assertIsArray($rules);

        $expected = [
            [
                'label' => 'Minimum 8 characters',
                'validation' => [
                    'min:8',
                ]
            ],
            [
                'label' => 'A number',
                'validation' => [
                    'number',
                ]
            ],
            [
                'label' => 'Uppercase letters',
                'validation' => [
                    'uppercase',
                ]
            ],
            [
                'label' => 'Lowercase letters',
                'validation' => [
                    'lowercase',
                ]
            ]
        ];

        $this->assertEquals($expected, $rules);
    }
}
